Parrot OS no longer booting post full-upgrade

Briefly describe your issue below:
Post upgrade, the computer no longer boots. I used “sudo apt full-upgrade” to upgrade Parrot. I was doing my routine Parrot OS upgrade after which I noticed my trackpad stopped working. Then I proceeded to restart my computer, then I received the prompt to unlock my drive, then I entered the password then all I see next is a blank screen with an underscore character at the top left of the screen. It can’t proceed beyond that.
The only way for me to access the system now is recovery mode. Enter encrypted disk password, then root account password, when I see the terminal I just type in exit. Then everything else looks fine afterward. This is not an ideal way to use the OS but is my only working workaround as of now.
Once, in the system, I made sure I reran all the apt update and upgrades. Nothing left to update. I am at a lost right now.

Please advise.

What version of Parrot are you running? (include version (e.g. 4.6), edition(e.g. Home//KDE/OVA, etc.), and architecture (currently we only support amd64)

Linux parrot 5.2.0-2parrot1-amd64 #1 SMP Debian 5.2.9-2parrot1 (2019-08-25) x86_64 GNU/Linux

What method did you use to install Parrot? (Debian Standard / Debian GTK / parrot-experimental)

Standard Full Parrot

Configured to multiboot with other systems? (yes / no)
no

If there are any similar issues or solutions, link to them below:

These are all the upgrades as seen on apt history.

Start-Date: 2019-09-14 17:04:50
Commandline: /usr/bin/apt full-upgrade
Requested-By: parrot (1000)
Upgrade: parrot-menu:amd64 (2:2019.08.19, 2:2019.09.12), codium:amd64 (1.38.0-1567624451, 1.38.1-1568285248), youtube-dl:amd64 (2019.01.17-1.1, 2019.08.13-1), parrot-wallpapers:amd64 (4.6, 4.7)
End-Date: 2019-09-14 17:05:35

Start-Date: 2019-09-14 18:22:32
Commandline: /usr/bin/apt install gnuradio
Requested-By: parrot (1000)
Install: libgnuradio-wavelet3.8.0:amd64 (3.8.0.0-5, automatic), libgnuradio-channels3.8.0:amd64 (3.8.0.0-5, automatic), libgnuradio-digital3.8.0:amd64 (3.8.0.0-5, automatic), libgnuradio-video-sdl3.8.0:amd64 (3.8.0.0-5, automatic), libgnuradio-uhd3.8.0:amd64 (3.8.0.0-5, automatic), libgnuradio-filter3.8.0:amd64 (3.8.0.0-5, automatic), libgnuradio-fec3.8.0:amd64 (3.8.0.0-5, automatic), libvolk2-bin:amd64 (2.0.0-2, automatic), libgnuradio-zeromq3.8.0:amd64 (3.8.0.0-5, automatic), libgnuradio-dtv3.8.0:amd64 (3.8.0.0-5, automatic), libgnuradio-analog3.8.0:amd64 (3.8.0.0-5, automatic), libvolk2-dev:amd64 (2.0.0-2, automatic), libgnuradio-vocoder3.8.0:amd64 (3.8.0.0-5, automatic), libboost-regex-dev:amd64 (1.67.0.2, automatic), python3-networkx:amd64 (2.2-1, automatic), python3-gdal:amd64 (2.4.2+dfsg-1+b2, automatic), libgnuradio-trellis3.8.0:amd64 (3.8.0.0-5, automatic), libgnuradio-qtgui3.8.0:amd64 (3.8.0.0-5, automatic), libgsm1-dev:amd64 (1.0.18-2, automatic)
Upgrade: gnuradio:amd64 (3.7.13.4-4+b1, 3.8.0.0-5), gnuradio-dev:amd64 (3.7.13.4-4+b1, 3.8.0.0-5)
Remove: libvolk1-bin:amd64 (1.4-3+b1), libvolk1-dev:amd64 (1.4-3+b1)
End-Date: 2019-09-14 18:23:48

Start-Date: 2019-09-14 18:25:32
Commandline: /usr/bin/apt install phonon-backend-gstreamer-common
Requested-By: parrot (1000)
Upgrade: phonon-backend-gstreamer-common:amd64 (4:4.9.1-1, 4:4.9.1-2)
Remove: python-pyside:amd64 (1.2.2+source1-3), python-pyside.phonon:amd64 (1.2.2+source1-3+b1), iphone-backup-analyzer:amd64 (2.0-1kali2), phonon-backend-gstreamer:amd64 (4:4.9.1-1), phonon:amd64 (4:4.10.3-2)
End-Date: 2019-09-14 18:25:37

Start-Date: 2019-09-14 18:29:45
Commandline: /usr/bin/apt autoremove
Requested-By: parrot (1000)
Remove: libxenforeignmemory1:amd64 (4.11.1+92-g6c33308a8d-2+b1), libxencall1:amd64 (4.11.1+92-g6c33308a8d-2+b1), librte-lpm18.11:amd64 (18.11.2-4), python-pyside.qtxml:amd64 (1.2.2+source1-3+b1), libgnuradio-noaa3.7.13:amd64 (3.7.13.4-4+b1), librte-bpf18.11:amd64 (18.11.2-4), libgrpc++1:amd64 (1.16.1-1+b1), librabbitmq4:amd64 (0.9.0-0.2), libgnuradio-trellis3.7.13:amd64 (3.7.13.4-4+b1), libjpeg-turbo-progs:amd64 (1:1.5.2-2+b1), libout123-0:amd64 (1.25.12-1), libphonon4:amd64 (4:4.10.3-2), libwireshark11:amd64 (2.6.10-1), libgnuradio-zeromq3.7.13:amd64 (3.7.13.4-4+b1), netpbm:amd64 (2:10.0-15.3+b2), python-pyside.qtopengl:amd64 (1.2.2+source1-3+b1), python-dnslib:amd64 (0.9.7+hg20170303-1), librte-eal18.11:amd64 (18.11.2-4), libparse-debianchangelog-perl:amd64 (1.2.0-13), libgnuradio-pager3.7.13:amd64 (3.7.13.4-4+b1), libqtwebkit4:amd64 (2.3.4.dfsg-10), libcrystalhd3:amd64 (1:0.0~git20110715.fdd2f19-13), libwiretap8:amd64 (2.6.10-1), librte-ip-frag18.11:amd64 (18.11.2-4), libgnuradio-wavelet3.7.13:amd64 (3.7.13.4-4+b1), libftdi1-2:amd64 (1.4-2), python-zmq:amd64 (17.1.2-3), libgnuradio-vocoder3.7.13:amd64 (3.7.13.4-4+b1), librte-kvargs18.11:amd64 (18.11.2-4), gcc-8-base:i386 (8.3.0-21), python-kismetexternal:amd64 (2019.05.01+git20190718-0kali1), libhtml-linkextractor-perl:amd64 (0.130-6), librte-port18.11:amd64 (18.11.2-4), golang-1.11:amd64 (1.11.13-1), librte-distributor18.11:amd64 (18.11.2-4), libmodbus5:amd64 (3.1.6-1), libwsutil9:amd64 (2.6.10-1), libesmtp6:amd64 (1.0.6-4.3), python-pyside.qtdeclarative:amd64 (1.2.2+source1-3+b1), linux-headers-4.19.0-6parrot3-common:amd64 (4.19.37-6parrot3), librte-security18.11:amd64 (18.11.2-4), ruby-librex:amd64 (0.0.68-0kali1+build1), libradare2-3.2:amd64 (3.2.1+dfsg-5), librte-gro18.11:amd64 (18.11.2-4), librte-bbdev18.11:amd64 (18.11.2-4), php-sqlite3:amd64 (2:7.3+69), libpyside1.2:amd64 (1.2.2+source1-3+b1), python3-cson:amd64 (0.7-3), linux-kbuild-4.19.37:amd64 (4.19.37-5parrot1), libgeotiff2:amd64 (1.4.3-1+b1), libupsclient4:amd64 (2.7.4-10), golang-1.11-go:amd64 (1.11.13-1), php7.3-sqlite3:amd64 (7.3.8-1), librte-member18.11:amd64 (18.11.2-4), librte-net18.11:amd64 (18.11.2-4), libturbojpeg0:amd64 (1:1.5.2-2+b1), libcollectdclient1:amd64 (5.8.1-1.3), libqt5webenginewidgets5:amd64 (5.11.3+dfsg-2+b1), librecode0:amd64 (3.6-23), libxentoollog1:amd64 (4.11.1+92-g6c33308a8d-2+b1), librte-telemetry18.11:amd64 (18.11.2-4), librdkafka1:amd64 (0.11.6-1.1), libsm6:i386 (2:1.2.3-1), librte-reorder18.11:amd64 (18.11.2-4), libgnuradio-atsc3.7.13:amd64 (3.7.13.4-4+b1), libgps23:amd64 (3.17-7), libxentoolcore1:amd64 (4.11.1+92-g6c33308a8d-2+b1), librte-sched18.11:amd64 (18.11.2-4), libbtparse1:amd64 (0.85-2+b1), libowcapi-3.2-3:amd64 (3.2p3+dfsg1-4), librte-eventdev18.11:amd64 (18.11.2-4), libtcmalloc-minimal4:amd64 (2.7-1+b1), libgnuradio-fec3.7.13:amd64 (3.7.13.4-4+b1), libgnuradio-channels3.7.13:amd64 (3.7.13.4-4+b1), dcraw:amd64 (9.28-2), libqt5quickwidgets5:amd64 (5.11.3-4), libmosquitto1:amd64 (1.6.4-1), libre2-5:amd64 (20190901+dfsg-1), python-pyside.qttest:amd64 (1.2.2+source1-3+b1), libxenstore3.0:amd64 (4.11.1+92-g6c33308a8d-2+b1), libxendevicemodel1:amd64 (4.11.1+92-g6c33308a8d-2+b1), libxtst6:i386 (2:1.2.3-1), libqt5webengine-data:amd64 (5.11.3+dfsg-2), liblouisutdml8:amd64 (2.7.0-6), libhttp-parser2.8:amd64 (2.8.1-1), librte-ring18.11:amd64 (18.11.2-4), libriemann-client0:amd64 (1.10.4-2+b1), libgnuradio-fosphor3.7.12:amd64 (3.7.0.2.7b6b996-3+b2), librte-meter18.11:amd64 (18.11.2-4), libow-3.2-3:amd64 (3.2p3+dfsg1-4), libconfuse-common:amd64 (3.2.2+dfsg-1), recode:amd64 (3.6-23), golang-1.11-doc:amd64 (1.11.13-1), python-pyside.qtscript:amd64 (1.2.2+source1-3+b1), librte-cfgfile18.11:amd64 (18.11.2-4), librte-gso18.11:amd64 (18.11.2-4), librte-table18.11:amd64 (18.11.2-4), libgoogle-perftools4:amd64 (2.7-1+b1), librte-mempool18.11:amd64 (18.11.2-4), phonon-backend-gstreamer-common:amd64 (4:4.9.1-2), python-pyside.qtgui:amd64 (1.2.2+source1-3+b1), librte-power18.11:amd64 (18.11.2-4), collectd:amd64 (5.8.1-1.3), python-pyside.qtcore:amd64 (1.2.2+source1-3+b1), python-xlib:amd64 (0.23-2), libkmlxsd1:amd64 (1.3.0-8), librte-metrics18.11:amd64 (18.11.2-4), libio-string-perl:amd64 (1.08-3), python-dns:amd64 (2.3.6-4), python3-speg:amd64 (0.3-3), collectd-core:amd64 (5.8.1-1.3), libclass-factory-util-perl:amd64 (1.7-3), libstd-rust-1.34:amd64 (1.34.2+dfsg1-1), libstd-rust-1.36:amd64 (1.36.0+dfsg1-2), librte-bitratestats18.11:amd64 (18.11.2-4), librte-efd18.11:amd64 (18.11.2-4), librte-vhost18.11:amd64 (18.11.2-4), libgnuradio-comedi3.7.13:amd64 (3.7.13.4-4+b1), librte-pipeline18.11:amd64 (18.11.2-4), python-pyside.qtnetwork:amd64 (1.2.2+source1-3+b1), libcomedi0:amd64 (0.11.0-1), libvirt0:amd64 (5.0.0-4.1), libvarnishapi2:amd64 (6.1.1-2), librte-pci18.11:amd64 (18.11.2-4), libshiboken1.2v5:amd64 (1.2.2-5.1+b1), librte-ethdev18.11:amd64 (18.11.2-4), libkmlregionator1:amd64 (1.3.0-8), librte-kni18.11:amd64 (18.11.2-4), librte-rawdev18.11:amd64 (18.11.2-4), libqt5webenginecore5:amd64 (5.11.3+dfsg-2+b1), libdapserver7v5:amd64 (3.20.4-1), libndpi2.6:amd64 (2.6-3+b1), libgnuradio-wxgui3.7.13:amd64 (3.7.13.4-4+b1), python-pyside.qtuitools:amd64 (1.2.2+source1-3+b1), librte-flow-classify18.11:amd64 (18.11.2-4), librte-timer18.11:amd64 (18.11.2-4), librte-hash18.11:amd64 (18.11.2-4), libgnuradio-qtgui3.7.13:amd64 (3.7.13.4-4+b1), libganglia1:amd64 (3.6.0-7+b2), linux-kbuild-4.19:amd64 (4.19.37-5+deb10u2), flac:amd64 (1.3.3-1), librte-jobstats18.11:amd64 (18.11.2-4), mpg123:amd64 (1.25.12-1), libnetpbm10:amd64 (2:10.0-15.3+b2), libgeos-3.7.1:amd64 (3.7.1-1), libgnuradio-dtv3.7.13:amd64 (3.7.13.4-4+b1), libatomic1:i386 (9.2.1-4), libxenevtchn1:amd64 (4.11.1+92-g6c33308a8d-2+b1), librte-latencystats18.11:amd64 (18.11.2-4), libgnuradio-video-sdl3.7.13:amd64 (3.7.13.4-4+b1), libgrpc6:amd64 (1.16.1-1+b1), owfs-common:amd64 (3.2p3+dfsg1-4), libconfuse2:amd64 (3.2.2+dfsg-1), intel-cmt-cat:amd64 (3.1.1-1), libopenipmi0:amd64 (2.0.25-2.1+b1), libice6:i386 (2:1.0.9-2), librte-cryptodev18.11:amd64 (18.11.2-4), libxengnttab1:amd64 (4.11.1+92-g6c33308a8d-2+b1), python-pyside.qtwebkit:amd64 (1.2.2+source1-3+b1), python-setproctitle:amd64 (1.1.10-1+b2), librte-cmdline18.11:amd64 (18.11.2-4), python-pyside.qtsql:amd64 (1.2.2+source1-3+b1), python-pyside.qtsvg:amd64 (1.2.2+source1-3+b1), linux-image-4.19.0-6parrot3-amd64:amd64 (4.19.37-6parrot3), libcpufreq0:amd64 (008-1.1), libtokyotyrant3:amd64 (1.1.40-4.2+b1), liblwp-protocol-socks-perl:amd64 (1.7-1), librte-mbuf18.11:amd64 (18.11.2-4), golang-1.11-src:amd64 (1.11.13-1), libqt4-opengl:amd64 (4:4.8.7+dfsg-19), libx11-xcb1:i386 (2:1.6.7-1), librte-compressdev18.11:amd64 (18.11.2-4), liboping0:amd64 (1.10.0-2.1+b1), libtokyocabinet9:amd64 (1.4.48-12), libreoffice-avmedia-backend-gstreamer:amd64 (1:6.3.0-2), libxenmisc4.11:amd64 (4.11.1+92-g6c33308a8d-2+b1), librte-pdump18.11:amd64 (18.11.2-4), librte-acl18.11:amd64 (18.11.2-4), libkmlconvenience1:amd64 (1.3.0-8), libdouble-conversion1:amd64 (3.1.0-3), libproj13:amd64 (5.2.0-1+b1), python-protobuf:amd64 (3.6.1.3-2), python-pyside.qthelp:amd64 (1.2.2+source1-3+b1)
End-Date: 2019-09-14 18:31:07

If there are any error messages or relevant logs, post them below:
Link to github gist with logs from when I shutdown the machine, booting normally, then force restart with recovery mode.

Boot in old kernel , then ran

sudo dpkg --configure -a

Actually i not understand your condition, what exactly happened

1 Like

Sorry for the delayed response.

From a cold start or reboot:
Turned on the computer
See GRUB and allow it to boot without touching (So it trys to boot to latest version of Parrot on computer)
My disk is encrpyted so the next screen I see is the a request for password to decrypt drive
Entered password for disk encryption
All I see in the next screen is a blank screen with a “_” character on the upper left corner.
It won’t boot beyond that screen.

This topic was automatically closed 120 days after the last reply. New replies are no longer allowed.